package com.zcloud.personnel.positioning.domain.gateway;

import com.zcloud.personnel.positioning.domain.model.AlarmRuleItemE;

/**
 * web-domain
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface AlarmRuleItemGateway {
    Boolean add(AlarmRuleItemE alarmRuleItemE);

    Boolean update(AlarmRuleItemE alarmRuleItemE);

    Boolean deletedAlarmRuleItemById(Long id);

    Boolean deletedAlarmRuleItemByIds(Long[] ids);
}
